X

A blog about JSON in the Oracle database Technology

  • November 9, 2018

SODA for node.js preview release is out!

SODA for node.js is now part of the Oracle node.js driver, release 3.0 (and above). 

To get started, download the latest Oracle node.js driver with 18.3 and above instant client. You'll also need an 18.3 and above Oracle Database (one good option for trying it out is to download the newly released free Oracle Database Express edition, which is geared toward developers).

Check out an excellent video by Dan McGhan and Anthony Tuininga covering the basics here.

User-guide is here.

Also see Chris Jones' post here.

We are excited about this new addition to the SODA drivers... please check it out and let us know what you think!

Join the discussion

Comments ( 2 )
  • Kaustubh Khare Wednesday, October 23, 2019
    Soda for Java supports from oracle 12.1. Why this is not supporting? Is there any hack to support this version?
  • Max Orgiyan Monday, February 10, 2020
    Hi Kaustubh, sorry we just saw your comment. Do you still need support for SODA node.js on 12.1?

    It's doable with a backport (under the covers SODA uses a PLSQL API for collection creation, and that needs a backport to 12.1 in order for this to work). Also, we'd need to remove the error check in node.js driver (right now it simply disallows SODA use if db < 18).
Please enter your name.Please provide a valid email address.Please enter a comment.CAPTCHA challenge response provided was incorrect. Please try again.